// This is the strtable for the Zoom CGI search function and Indexer.
//
// Note that this file is shared with the Indexer, and a copy of this file
// must exist in both the CGI source tree as well as the Indexer source tree.
//
// The two copies of this file must be kept consistent, so that whenever
// updates are made, it is copied over to the both source trees.
//
// The indexer uses this file to verify valid/invalid variable names in a ZLANG file.
//
//

#ifndef ZOOM_STRTABLE_H
#define ZOOM_STRTABLE_H

// String table
#define STR_FORM_SEARCHFOR					0
#define STR_FORM_SUBMIT_BUTTON				1
#define STR_FORM_RESULTS_PER_PAGE			2
#define STR_FORM_CATEGORY			3
#define STR_FORM_CATEGORY_ALL		4
#define STR_FORM_MATCH				5
#define STR_FORM_ANY_SEARCH_WORDS	6
#define STR_FORM_ALL_SEARCH_WORDS	7

#define STR_NO_QUERY 8

#define STR_RESULTS_FOR					9 
#define STR_RESULTS_IN_ALL_CATEGORIES	10
#define STR_RESULTS_IN_CATEGORY			11

#define STR_POWEREDBY					12
#define STR_NO_RESULTS					13
#define STR_RESULT						14
#define STR_RESULTS						15

#define STR_PHRASE_CONTAINS_COMMON_WORDS	16

#define STR_SKIPPED_FOLLOWING_WORDS 17
#define STR_SKIPPED_PHRASE			18

#define STR_SUMMARY_NO_RESULTS_FOUND 19
#define STR_SUMMARY_FOUND_CONTAINING_ALL_TERMS 20
#define STR_SUMMARY_FOUND_CONTAINING_SOME_TERMS 21
#define STR_SUMMARY_FOUND	22
#define STR_PAGES_OF_RESULTS	23

#define STR_POSSIBLY_GET_MORE_RESULTS 24
#define STR_ANY_OF_TERMS	25
#define STR_ALL_CATS	26

#define STR_SORTBY_RELEVANCE 27
#define STR_SORTEDBY_DATE 28
#define STR_SORTEDBY_RELEVANCE	29
#define STR_SORTBY_DATE 30

#define STR_RESULT_TERMS_MATCHED	31
#define STR_RESULT_SCORE 32
#define STR_RESULT_URL 33

#define STR_RESULT_PAGES 34
#define STR_RESULT_PAGES_PREVIOUS 35 
#define STR_RESULT_PAGES_NEXT 36

#define STR_SEARCH_TOOK 37
#define STR_SECONDS 38

#define STR_DIDYOUMEAN 39
#define STR_OR 40
#define STR_RECOMMENDED 41

#define STR_MAX_RESULTS 42
#define STR_MORETHAN 43

#define STR_CAT_SUMMARY	44

#define STR_SORTEDBY_DATE_ASC 45

#define STR_FORM_DATE_FROM 46
#define STR_FORM_DATE_TO 47
#define STR_FORM_DATE_BUTTON 48

#define STR_TABLE_COUNT 49
#define STR_TABLE_LINELEN 200
// Make sure to update the COUNT and LINELEN if these values go over.
static char* StrTableVarNames[] = 
{
	"STR_FORM_SEARCHFOR", "STR_FORM_SUBMIT_BUTTON", "STR_FORM_RESULTS_PER_PAGE", 
	"STR_FORM_CATEGORY", "STR_FORM_CATEGORY_ALL", "STR_FORM_MATCH", "STR_FORM_ANY_SEARCH_WORDS", "STR_FORM_ALL_SEARCH_WORDS",
	"STR_NO_QUERY", "STR_RESULTS_FOR", "STR_RESULTS_IN_ALL_CATEGORIES", "STR_RESULTS_IN_CATEGORY", "STR_POWEREDBY",
	"STR_NO_RESULTS", "STR_RESULT", "STR_RESULTS", "STR_PHRASE_CONTAINS_COMMON_WORDS",
	"STR_SKIPPED_FOLLOWING_WORDS", "STR_SKIPPED_PHRASE", "STR_SUMMARY_NO_RESULTS_FOUND",
	"STR_SUMMARY_FOUND_CONTAINING_ALL_TERMS", "STR_SUMMARY_FOUND_CONTAINING_SOME_TERMS",
	"STR_SUMMARY_FOUND", "STR_PAGES_OF_RESULTS",
	"STR_POSSIBLY_GET_MORE_RESULTS", "STR_ANY_OF_TERMS", "STR_ALL_CATS",
	"STR_SORTBY_RELEVANCE", "STR_SORTEDBY_DATE", "STR_SORTEDBY_RELEVANCE", "STR_SORTBY_DATE",
	"STR_RESULT_TERMS_MATCHED", "STR_RESULT_SCORE", "STR_RESULT_URL",
	"STR_RESULT_PAGES", "STR_RESULT_PAGES_PREVIOUS", "STR_RESULT_PAGES_NEXT",
	"STR_SEARCH_TOOK", "STR_SECONDS", "STR_DIDYOUMEAN", "STR_OR", "STR_RECOMMENDED",
	"STR_MAX_RESULTS", "STR_MORETHAN", "STR_CAT_SUMMARY", "STR_SORTEDBY_DATE_ASC",
	"STR_FORM_DATE_FROM", "STR_FORM_DATE_TO", "STR_FORM_DATE_BUTTON"
};

#endif
